path: /build/build/spice-app-emulation-0.15.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-sasl -test gstreamer lz4 smartcard" emerge app-emulation/spice -pv -t && \
    USE="-sasl -test gstreamer lz4 smartcard" emerge -j ${JOBS} --nodeps app-emulation/spice
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/spice && luet-portage --dir /pkgdir/spice
    app-emulation/spice && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:242f43f8805828bf145e371b734158db2d8ff3056854a080dfa16916f0c679a2
  package:
    name: spice
    version: 0.15.2+1
    category: app-emulation
    use_flags:
    - -sasl
    - -test
    - gstreamer
    - lz4
    - smartcard
    requires:
    - name: spice-protocol
      version: '>=0'
      category: app-emulation
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: SPICE server
    uri:
    - https://www.spice-space.org/
    license: LGPL-2.1
    buildtimestamp: 2023-09-30 20:13:57.119702367 +0000 UTC m=+350.890579825
    labels:
      BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 ) sys-devel/autoconf-archive virtual/pkgconfig || ( (
        dev-lang/python:3.10 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_10(-),python_single_target_python3_10(+)]
        dev-python/six[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_8(-),python_single_target_python3_8(+)]
        dev-python/six[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_9(-),python_single_target_python3_9(+)]
        dev-python/six[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_7(-),python_single_target_python3_7(+)]
        dev-python/six[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
        ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: dev-lang/orc[static-libs(+)?] >=dev-libs/glib-2.38:2[static-libs(+)?]
        dev-libs/openssl:0=[static-libs(+)?] media-libs/opus[static-libs(+)?] media-libs/libjpeg-turbo:0=[static-libs(+)?]
        sys-libs/zlib[static-libs(+)?] >=x11-libs/pixman-0.17.7[static-libs(+)?] lz4?
        ( app-arch/lz4:0=[static-libs(+)?] ) smartcard? ( >=app-emulation/libcacard-2.5.1
        ) sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] ) gstreamer? ( media-libs/gstreamer:1.0
        media-libs/gst-plugins-base:1.0 ) >=app-emulation/spice-protocol-0.14.3 smartcard?
        ( app-emulation/qemu[smartcard] ) test? ( net-libs/glib-networking )
      IUSE: gstreamer lz4 sasl smartcard static-libs test
      RDEPEND: dev-lang/orc[static-libs(+)?] >=dev-libs/glib-2.38:2[static-libs(+)?]
        dev-libs/openssl:0=[static-libs(+)?] media-libs/opus[static-libs(+)?] media-libs/libjpeg-turbo:0=[static-libs(+)?]
        sys-libs/zlib[static-libs(+)?] >=x11-libs/pixman-0.17.7[static-libs(+)?] lz4?
        ( app-arch/lz4:0=[static-libs(+)?] ) smartcard? ( >=app-emulation/libcacard-2.5.1
        ) sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] ) gstreamer? ( media-libs/gstreamer:1.0
        media-libs/gst-plugins-base:1.0 )
      emerge.packages: app-emulation/spice
      kit: core-kit
      original.package.name: app-emulation/spice
      original.package.slot: "0"
      original.package.version: 0.15.2
    treedir: /build/packages
  package_dir: /pkgdir/spice
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 992d110bd0289c0ae8a4d340a99632d848f07854441f2a359c14875221570491
compressiontype: zstd
files:
- usr/include/spice-server/spice-audio.h
- usr/include/spice-server/spice-char.h
- usr/include/spice-server/spice-core.h
- usr/include/spice-server/spice-input.h
- usr/include/spice-server/spice-migration.h
- usr/include/spice-server/spice-qxl.h
- usr/include/spice-server/spice-replay.h
- usr/include/spice-server/spice-server.h
- usr/include/spice-server/spice-version.h
- usr/include/spice-server/spice.h
- usr/lib64/libspice-server.so
- usr/lib64/libspice-server.so.1
- usr/lib64/libspice-server.so.1.14.3
- usr/lib64/pkgconfig/spice-server.pc
- usr/share/doc/spice-0.15.2/AUTHORS.bz2
- usr/share/doc/spice-0.15.2/README.Windows.md.bz2
- usr/share/doc/spice-0.15.2/README.bz2
- usr/share/doc/spice-0.15.2/README.gentoo.bz2
- var/db/pkg/app-emulation/spice-0.15.2/BDEPEND
- var/db/pkg/app-emulation/spice-0.15.2/BUILD_TIME
- var/db/pkg/app-emulation/spice-0.15.2/CATEGORY
- var/db/pkg/app-emulation/spice-0.15.2/CBUILD
- var/db/pkg/app-emulation/spice-0.15.2/CFLAGS
- var/db/pkg/app-emulation/spice-0.15.2/CHOST
- var/db/pkg/app-emulation/spice-0.15.2/CONTENTS
- var/db/pkg/app-emulation/spice-0.15.2/COUNTER
- var/db/pkg/app-emulation/spice-0.15.2/CXXFLAGS
- var/db/pkg/app-emulation/spice-0.15.2/DEFINED_PHASES
- var/db/pkg/app-emulation/spice-0.15.2/DEPEND
- var/db/pkg/app-emulation/spice-0.15.2/DESCRIPTION
- var/db/pkg/app-emulation/spice-0.15.2/EAPI
- var/db/pkg/app-emulation/spice-0.15.2/FEATURES
- var/db/pkg/app-emulation/spice-0.15.2/HOMEPAGE
- var/db/pkg/app-emulation/spice-0.15.2/INHERITED
- var/db/pkg/app-emulation/spice-0.15.2/IUSE
- var/db/pkg/app-emulation/spice-0.15.2/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/spice-0.15.2/KEYWORDS
- var/db/pkg/app-emulation/spice-0.15.2/LDFLAGS
- var/db/pkg/app-emulation/spice-0.15.2/LICENSE
- var/db/pkg/app-emulation/spice-0.15.2/NEEDED
- var/db/pkg/app-emulation/spice-0.15.2/PF
- var/db/pkg/app-emulation/spice-0.15.2/PROVIDES
- var/db/pkg/app-emulation/spice-0.15.2/RDEPEND
- var/db/pkg/app-emulation/spice-0.15.2/REQUIRES
- var/db/pkg/app-emulation/spice-0.15.2/RESTRICT
- var/db/pkg/app-emulation/spice-0.15.2/SIZE
- var/db/pkg/app-emulation/spice-0.15.2/SLOT
- var/db/pkg/app-emulation/spice-0.15.2/USE
- var/db/pkg/app-emulation/spice-0.15.2/environment.bz2
- var/db/pkg/app-emulation/spice-0.15.2/repository
- var/db/pkg/app-emulation/spice-0.15.2/spice-0.15.2.ebuild
package_cacheimage: ""
runtime:
  name: spice
  version: 0.15.2+1
  category: app-emulation
  use_flags:
  - -sasl
  - -test
  - gstreamer
  - lz4
  - smartcard
  requires:
  - name: lz4
    version: '>=0'
    category: app-arch
  - name: libcacard
    version: '>=0'
    category: app-emulation
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: gst-plugins-base
    version: '>=0'
    category: media-libs-1.0
  - name: libjpeg-turbo
    version: '>=0'
    category: media-libs
  - name: opus
    version: '>=0'
    category: media-libs
  - name: pixman
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: SPICE server
  uri:
  - https://www.spice-space.org/
  license: LGPL-2.1
  labels:
    BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) sys-devel/autoconf-archive virtual/pkgconfig || ( ( dev-lang/python:3.10 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_10(-),python_single_target_python3_10(+)]
      dev-python/six[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_8(-),python_single_target_python3_8(+)]
      dev-python/six[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_9(-),python_single_target_python3_9(+)]
      dev-python/six[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 >=dev-python/pyparsing-1.5.6-r2[python_targets_python3_7(-),python_single_target_python3_7(+)]
      dev-python/six[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
      >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: dev-lang/orc[static-libs(+)?] >=dev-libs/glib-2.38:2[static-libs(+)?]
      dev-libs/openssl:0=[static-libs(+)?] media-libs/opus[static-libs(+)?] media-libs/libjpeg-turbo:0=[static-libs(+)?]
      sys-libs/zlib[static-libs(+)?] >=x11-libs/pixman-0.17.7[static-libs(+)?] lz4?
      ( app-arch/lz4:0=[static-libs(+)?] ) smartcard? ( >=app-emulation/libcacard-2.5.1
      ) sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] ) gstreamer? ( media-libs/gstreamer:1.0
      media-libs/gst-plugins-base:1.0 ) >=app-emulation/spice-protocol-0.14.3 smartcard?
      ( app-emulation/qemu[smartcard] ) test? ( net-libs/glib-networking )
    IUSE: gstreamer lz4 sasl smartcard static-libs test
    RDEPEND: dev-lang/orc[static-libs(+)?] >=dev-libs/glib-2.38:2[static-libs(+)?]
      dev-libs/openssl:0=[static-libs(+)?] media-libs/opus[static-libs(+)?] media-libs/libjpeg-turbo:0=[static-libs(+)?]
      sys-libs/zlib[static-libs(+)?] >=x11-libs/pixman-0.17.7[static-libs(+)?] lz4?
      ( app-arch/lz4:0=[static-libs(+)?] ) smartcard? ( >=app-emulation/libcacard-2.5.1
      ) sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] ) gstreamer? ( media-libs/gstreamer:1.0
      media-libs/gst-plugins-base:1.0 )
    emerge.packages: app-emulation/spice
    kit: core-kit
    original.package.name: app-emulation/spice
    original.package.slot: "0"
    original.package.version: 0.15.2
